Bug 1996672 - Cluster Proxy not used during installation on OSP
Summary: Cluster Proxy not used during installation on OSP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Maysa Macedo
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1985391
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-23 12:52 UTC by OpenShift BugZilla Robot
Modified: 2021-09-21 08:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-21 08:02:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 210 0 None None None 2021-09-02 15:32:30 UTC
Red Hat Product Errata RHBA-2021:3511 0 None None None 2021-09-21 08:02:43 UTC

Comment 1 rlobillo 2021-08-23 16:24:50 UTC
Adding testblocker flag according to https://bugzilla.redhat.com/show_bug.cgi?id=1985391#c4

Comment 5 rlobillo 2021-09-10 15:22:39 UTC
Verified on 4.8.0-0.nightly-2021-09-10-083611 on top of OSP16.1 (RHOS-16.1-RHEL-8-20210604.n.0) with OpenShiftSDN network type.

Installation performed on restricted network using a proxy:

apiVersion: v1
baseDomain: "shiftstack.com"
clusterID:  "04395fdf-73e6-51d4-8b35-6a3f0ff7c5b7"
compute:
- name: worker
  platform:
    openstack:
      zones: []
      additionalNetworkIDs: []
  replicas: 3
controlPlane:
  name: master
  platform:
    openstack:
      zones: []
  replicas: 3
metadata:
  name: "ostest"
networking:
  clusterNetworks:
  - cidr:             10.128.0.0/14
    hostSubnetLength: 9
  serviceCIDR: 172.30.0.0/16
  machineCIDR: "172.16.0.0/24"
  type: "OpenShiftSDN"
platform:
  openstack:
    cloud:            "shiftstack"
    externalNetwork:  ""
    region:           "regionOne"
    computeFlavor:    "m4.xlarge"
    machinesSubnet: 2f5246ba-0bad-4722-a0f1-a5babf7d0e8f
    apiVIP: "172.16.0.5"
    ingressVIP: "172.16.0.7"
proxy:
  httpProxy: http://dummy:dummy@172.16.0.3:3128/
  httpsProxy: https://dummy:dummy@172.16.0.3:3130/
[...]

The installation is successful:

INFO Install complete!                            
INFO To access the cluster as the system:admin user when using 'oc', run 'export KUBECONFIG=/home/cloud-user/ostest/auth/kubeconfig' 
INFO Access the OpenShift web-console here: https://console-openshift-console.apps.ostest.shiftstack.com 
INFO Login to the console with user: "kubeadmin", and password: "29v3a-TuFz6-oFE4n-7UYzi" 
DEBUG Time elapsed per stage:                      
DEBUG Cluster Operators: 22m33s                    
INFO Time elapsed: 22m33s                         

$ oc get clusteroperators
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE                                                                                                                    
authentication                             4.8.0-0.nightly-2021-09-10-083611   True        False         False      4m10s                                                                                                                    
baremetal                                  4.8.0-0.nightly-2021-09-10-083611   True        False         False      35m                                                                                                                      
cloud-credential                           4.8.0-0.nightly-2021-09-10-083611   True        False         False      54m                                                                                                                      
cluster-autoscaler                         4.8.0-0.nightly-2021-09-10-083611   True        False         False      37m                                                                                                                      
config-operator                            4.8.0-0.nightly-2021-09-10-083611   True        False         False      48m                                                                                                                      
console                                    4.8.0-0.nightly-2021-09-10-083611   True        False         False      10m                                                                                                                      
csi-snapshot-controller                    4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
dns                                        4.8.0-0.nightly-2021-09-10-083611   True        False         False      37m                                                                                                                      
etcd                                       4.8.0-0.nightly-2021-09-10-083611   True        False         False      37m                                                                                                                      
image-registry                             4.8.0-0.nightly-2021-09-10-083611   True        False         False      18m                                                                                                                      
ingress                                    4.8.0-0.nightly-2021-09-10-083611   True        False         False      15m                                                                                                                      
insights                                   4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
kube-apiserver                             4.8.0-0.nightly-2021-09-10-083611   True        False         False      36m                                                                                                                      
kube-controller-manager                    4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
kube-scheduler                             4.8.0-0.nightly-2021-09-10-083611   True        False         False      36m                                                                                                                      
kube-storage-version-migrator              4.8.0-0.nightly-2021-09-10-083611   True        False         False      37m                                                                                                                      
machine-api                                4.8.0-0.nightly-2021-09-10-083611   True        False         False      33m                                                                                                                      
machine-approver                           4.8.0-0.nightly-2021-09-10-083611   True        False         False      36m                                                                                                                      
machine-config                             4.8.0-0.nightly-2021-09-10-083611   True        False         False      36m                                                                                                                      
marketplace                                4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
monitoring                                 4.8.0-0.nightly-2021-09-10-083611   True        False         False      6m22s                                                                                                                    
network                                    4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
node-tuning                                4.8.0-0.nightly-2021-09-10-083611   True        False         False      39m                                                                                                                      
openshift-apiserver                        4.8.0-0.nightly-2021-09-10-083611   True        False         False      29m                                                                                                                      
openshift-controller-manager               4.8.0-0.nightly-2021-09-10-083611   True        False         False      32m                                                                                                                      
openshift-samples                          4.8.0-0.nightly-2021-09-10-083611   True        False         False      31m                                                                                                                      
operator-lifecycle-manager                 4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
operator-lifecycle-manager-catalog         4.8.0-0.nightly-2021-09-10-083611   True        False         False      38m                                                                                                                      
operator-lifecycle-manager-packageserver   4.8.0-0.nightly-2021-09-10-083611   True        False         False      34m                                                                                                                      
service-ca                                 4.8.0-0.nightly-2021-09-10-083611   True        False         False      48m                                                                                                                      
storage                                    4.8.0-0.nightly-2021-09-10-083611   True        False         False      32m                                     


$ oc get proxy cluster -o json | jq .status                                                                                                                                                        
{
  "httpProxy": "http://dummy:dummy@172.16.0.3:3128/",
  "httpsProxy": "https://dummy:dummy@172.16.0.3:3130/",
  "noProxy": ".cluster.local,.svc,10.128.0.0/14,127.0.0.1,169.254.169.254,172.16.0.0/24,172.30.0.0/16,api-int.ostest.shiftstack.com,localhost"                                                                                               
}

No errors observed on cinder-csi-driver-operator:

$ oc logs -n openshift-cluster-csi-drivers $(oc get pods -n openshift-cluster-csi-drivers -l name=openstack-cinder-csi-driver-operator -o name) | grep -i error
$ 

Furthermore, PVCs on intree-cinder, outtree-cinder were created successfully on the setup:

$ oc get pvc
NAME   STATUS   VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS   AGE
pvc1   Bound    pvc-e9336231-ae5c-4fc1-9736-65d6d4058df7   1Gi        RWO            standard-csi   5m30s
pvc2   Bound    pvc-9ee80627-1ba4-49d1-8ca7-14948eeb06d4   1Gi        RWO            standard       5m30s

Comment 8 errata-xmlrpc 2021-09-21 08:02:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.12 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3511


Note You need to log in before you can comment on or make changes to this bug.